<?php

namespace edu\wisc\services\cbs\order\payment;

use edu\wisc\services\cbs\common\AbstractServiceResponse;
use Money\Money;

/**
 * Response returned by {@link OrderPaymentService}.
 */
class OrderPaymentServiceResponse extends AbstractServiceResponse
{

    /** @var Money */
    private $changeBack;

    /** @var Money */
    private $balanceDue;

    /** @var \DateTime */
    private $paidToDate;

    /**
     * @param bool $success
     * @param string $message
     * @param Money $changeBack
     * @param Money $balanceDue
     * @param \DateTime $paidToDate
     */
    public function __construct(
        $success,
        $message,
        Money $changeBack,
        Money $balanceDue,
        $paidToDate
    )
    {
        parent::__construct($success, $message);
        $this->changeBack = $changeBack;
        $this->balanceDue = $balanceDue;
        $this->paidToDate = $paidToDate;
    }

    /**
     * @return Money
     */
    public function getChangeBack(): Money
    {
        return $this->changeBack;
    }

    /**
     * @return Money
     */
    public function getBalanceDue(): Money
    {
        return $this->balanceDue;
    }

    /**
     * @return \DateTime
     */
    public function getPaidToDate(): \DateTime
    {
        return $this->paidToDate;
    }

}