<?php

namespace edu\wisc\services\cbs\price;

use edu\wisc\services\cbs\api\MockService;

use Money\Currencies\ISOCurrencies;
use Money\Formatter\DecimalMoneyFormatter;
use Money\Money;

class MockPriceService implements PriceService, MockService
{

    /** @var bool */
    private $success;

    /**
     * @inheritdoc
     */
    public function __construct(bool $success = true)
    {
        $this->success = $success;
    }

    /**
     * {@inheritdoc}
     */
    public function updateProductPrice(string $sku, Money $price): PriceServiceResponse
    {
        $currencies = new ISOCurrencies();
        $formatter = new DecimalMoneyFormatter($currencies);
        return new PriceServiceResponse($this->success, "SKU {$sku}: {$formatter->format($price)}");
    }
}
